<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::static_set&lt; T, compare &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1static__set.html">static_set</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="classdlib_1_1static__set-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::static_set&lt; T, compare &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a95164c6fadb87feacadfb32f9c2ece36"><td class="memItemLeft" align="right" valign="top"><a id="a95164c6fadb87feacadfb32f9c2ece36"></a>
typedef <a class="el" href="classdlib_1_1static__set__kernel__1.html">static_set_kernel_1</a>&lt; T, compare &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a</b></td></tr>
<tr class="separator:a95164c6fadb87feacadfb32f9c2ece36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afee096146ede621d027a345652a3a0c1"><td class="memItemLeft" align="right" valign="top"><a id="afee096146ede621d027a345652a3a0c1"></a>
typedef <a class="el" href="classdlib_1_1static__set__kernel__c.html">static_set_kernel_c</a>&lt; <a class="el" href="classdlib_1_1static__set__kernel__1.html">kernel_1a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_1a_c</b></td></tr>
<tr class="separator:afee096146ede621d027a345652a3a0c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a285e563d8bd679dbb03f7a382d5405c0"><td class="memItemLeft" align="right" valign="top"><a id="a285e563d8bd679dbb03f7a382d5405c0"></a>
typedef <a class="el" href="classdlib_1_1static__set__compare__1.html">static_set_compare_1</a>&lt; <a class="el" href="classdlib_1_1static__set__kernel__1.html">kernel_1a</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>compare_1a</b></td></tr>
<tr class="separator:a285e563d8bd679dbb03f7a382d5405c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72cb14f4eba83913acd9694613ba355d"><td class="memItemLeft" align="right" valign="top"><a id="a72cb14f4eba83913acd9694613ba355d"></a>
typedef <a class="el" href="classdlib_1_1static__set__compare__1.html">static_set_compare_1</a>&lt; <a class="el" href="classdlib_1_1static__set__kernel__c.html">kernel_1a_c</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>compare_1a_c</b></td></tr>
<tr class="separator:a72cb14f4eba83913acd9694613ba355d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="static__set_8h_source.html">static_set.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
